# imgui-quilt

Quilt interface for [imgui-java](https://github.com/SpaiR/imgui-java), an updated version of [imgui-mc](https://github.com/mjwells2002/imgui-mc).

![ImGui Demo Window Running in Minecraft](https://git.sr.ht/~eviee/imgui-quilt/blob/main/assets/demowindowscreenshot.png)

## Quick Usage
Add the Maven repository and the modImplementation to your `build.gradle`

```
maven {
    url "https://maven.eviee.gay/imgui-quilt"
}
```

```
implementation "gay.eviee:imgui-quilt:<VERSION>"
```

You can then add `Renderables` to `ImGuiQuilt.renderstack` for them to be rendered.

Use ImGui methods in `render()` of the `Renderables` interface.

Example:
```java
		ImGuiQuilt.renderstack.add(new Renderable() {
			@Override
			public String getName() {
				return "Profiling Name";
			}

			@Override
			public Theme getTheme() {
				return null;
			}

			@Override
			public void render() {
				ImGui.text("Example Text Element");
			}
		});
```
